package com.diagbot.util;

import java.util.UUID;

/**
 * @Description: Appkey和Appscrect生成工具
 * @author: gaodm
 * @time: 2018/9/11 10:27
 */
public class GuidUtil {
    public static String app_key;
    /**
     * @description:随机获取key值
     * @return
     */
    public String guid() {
        UUID uuid = UUID.randomUUID();
        String key = uuid.toString();
        return key;
    }
    /**
     * 这是其中一个url的参数，是GUID的，全球唯一标志符
     * @return
     */
    public static String App_key() {
        GuidUtil g = new GuidUtil();
        String guid = g.guid();
        app_key = MD5Util.MD5(guid).toUpperCase();
        return app_key;
    }
    /**
     * 根据md5加密
     * @return
     */
    public static String App_screct() {
        String mw = "key" + app_key ;
        String app_sign = MD5Util.MD5Salt(mw).toUpperCase();// 得到以后还要用MD5加密。
        return app_sign;
    }

    public static void main(String[] args) {
        GuidUtil gd = new GuidUtil();
        String app_key=gd.App_key();
        System.out.println("app_key: "+app_key);
        String app_screct=gd.App_screct();
        System.out.println("app_screct: "+app_screct);
    }
}
